Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.adapters
Class JavassistAdapter

    java.lang.Object
      org.jboss.errai.reflections.adapters.JavassistAdapter

All Implemented Interfaces:
  MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>

    public class JavassistAdapter

extends java.lang.Object
implements MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>

Constructor Summary
`JavassistAdapter()`

Method Summary
`javassist.bytecode.ClassFile` | `createClassObject(java.io.InputStream inputStream)`
`java.util.List<java.lang.String>` | `getClassAnnotationNames(javassist.bytecode.ClassFile aClass)`
`java.lang.String` | `getClassName(javassist.bytecode.ClassFile cls)`
`java.util.List<java.lang.String>` | `getFieldAnnotationNames(javassist.bytecode.FieldInfo field)`
`java.lang.String` | `getFieldName(javassist.bytecode.FieldInfo field)`
`java.util.List<javassist.bytecode.FieldInfo>` | `getFields(javassist.bytecode.ClassFile cls)`
`java.util.List<java.lang.String>` | `getInterfacesNames(javassist.bytecode.ClassFile cls)`
`java.util.List<java.lang.String>` | `getMethodAnnotationNames(javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getMethodFullKey(javassist.bytecode.ClassFile cls, javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getMethodKey(javassist.bytecode.ClassFile cls, javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getMethodModifier(javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getMethodName(javassist.bytecode.MethodInfo method)`
`java.util.List<javassist.bytecode.MethodInfo>` | `getMethods(javassist.bytecode.ClassFile cls)`
`java.util.List<java.lang.String>` | `getParameterAnnotationNames(javassist.bytecode.MethodInfo method, int parameterIndex)`
`java.util.List<java.lang.String>` | `getParameterNames(javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getReturnTypeName(javassist.bytecode.MethodInfo method)`
`java.lang.String` | `getSuperclassName(javassist.bytecode.ClassFile cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavassistAdapter

    public JavassistAdapter()

Method Detail

### getFields

    public java.util.List<javassist.bytecode.FieldInfo> getFields(javassist.bytecode.ClassFile cls)

  Specified by:
    `getFields` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getMethods

    public java.util.List<javassist.bytecode.MethodInfo> getMethods(javassist.bytecode.ClassFile cls)

  Specified by:
    `getMethods` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getMethodName

    public java.lang.String getMethodName(javassist.bytecode.MethodInfo method)

  Specified by:
    `getMethodName` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getParameterNames

    public java.util.List<java.lang.String> getParameterNames(javassist.bytecode.MethodInfo method)

  Specified by:
    `getParameterNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getClassAnnotationNames

    public java.util.List<java.lang.String> getClassAnnotationNames(javassist.bytecode.ClassFile aClass)

  Specified by:
    `getClassAnnotationNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getFieldAnnotationNames

    public java.util.List<java.lang.String> getFieldAnnotationNames(javassist.bytecode.FieldInfo field)

  Specified by:
    `getFieldAnnotationNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getMethodAnnotationNames

    public java.util.List<java.lang.String> getMethodAnnotationNames(javassist.bytecode.MethodInfo method)

  Specified by:
    `getMethodAnnotationNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getParameterAnnotationNames

    public java.util.List<java.lang.String> getParameterAnnotationNames(javassist.bytecode.MethodInfo method,
                                                                        int parameterIndex)

  Specified by:
    `getParameterAnnotationNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getReturnTypeName

    public java.lang.String getReturnTypeName(javassist.bytecode.MethodInfo method)

  Specified by:
    `getReturnTypeName` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getFieldName

    public java.lang.String getFieldName(javassist.bytecode.FieldInfo field)

  Specified by:
    `getFieldName` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### createClassObject

    public javassist.bytecode.ClassFile createClassObject(java.io.InputStream inputStream)
                                                   throws java.io.IOException

  Specified by:
    `createClassObject` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`
  Throws:
    `java.io.IOException`

### getMethodModifier

    public java.lang.String getMethodModifier(javassist.bytecode.MethodInfo method)

  Specified by:
    `getMethodModifier` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getMethodKey

    public java.lang.String getMethodKey(javassist.bytecode.ClassFile cls,
                                         javassist.bytecode.MethodInfo method)

  Specified by:
    `getMethodKey` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getMethodFullKey

    public java.lang.String getMethodFullKey(javassist.bytecode.ClassFile cls,
                                             javassist.bytecode.MethodInfo method)

  Specified by:
    `getMethodFullKey` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getClassName

    public java.lang.String getClassName(javassist.bytecode.ClassFile cls)

  Specified by:
    `getClassName` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getSuperclassName

    public java.lang.String getSuperclassName(javassist.bytecode.ClassFile cls)

  Specified by:
    `getSuperclassName` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

### getInterfacesNames

    public java.util.List<java.lang.String> getInterfacesNames(javassist.bytecode.ClassFile cls)

  Specified by:
    `getInterfacesNames` in interface `MetadataAdapter<javassist.bytecode.ClassFile,javassist.bytecode.FieldInfo,javassist.bytecode.MethodInfo>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.